HTTPARTY(1)

NAME
httparty - query web services and examine the resulting output

DESCRIPTION
`httparty' is a command-line tool to query query web services and examine the resulting output. By default it will output the response as a pretty-printed Ruby object (useful for grokking the structure of output). This can also be overridden to output formatted XML or JSON.

USAGE
 httparty [options] [url]

OPTIONS

-f, --format [FORMAT]
    Output format to use instead of pretty-print ruby: plain, csv, json or xml

-a, --action [ACTION]
    HTTP action: get (default), post, put, delete, head, or options

-d, --data [BODY]
    Data to put in request body (prefix with '@' for file)

-H, --header [NAME:VALUE]
    Additional HTTP headers in NAME:VALUE form

-v, --verbose
    If set, print verbose output

-u, --user [CREDS]
    Use basic authentication. Value should be user:password

-r, --response-code
    Command fails if response code >= 400

-h, --help
    Show help documentation

--version
    Show HTTParty version

EXAMPLE
httparty "http://twitter.com/statuses/public_timeline.json"